Bug 258643 - audio/mp32ogg: Deprecate and set expiration date to 2021-12-31
Summary: audio/mp32ogg: Deprecate and set expiration date to 2021-12-31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-20 22:52 UTC by Daniel Engberg
Modified: 2021-10-01 20:49 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (uqs)


Attachments
Patch for mpg2ogg (475 bytes, patch)
2021-09-20 22:52 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-20 22:52:43 UTC
Created attachment 228067 [details]
Patch for mpg2ogg

Abandoned and unfetchable upstream, users are recommended to use ffmpeg instead
Comment 1 Ulrich Spörlein freebsd_committer 2021-09-27 18:55:52 UTC
Fine by me, it still works just fine though and using ffmpeg is a pain in the butt for metadata reasons.

Please commit as-is, thanks!
Comment 2 Daniel Engberg freebsd_committer 2021-09-27 22:26:46 UTC
Ulrich, metadata maps/transfers just fine for me.

Just tested using the following:
ffmpeg -i foo.mp3 -c:a libvorbis -b:a 128k foo.ogg
Comment 3 commit-hook freebsd_committer 2021-10-01 20:48:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1c108eb9029e1297545181511e8c62818d923e07

commit 1c108eb9029e1297545181511e8c62818d923e07
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-10-01 20:45:40 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-10-01 20:45:46 +0000

    audio/mp32ogg: Deprecate and set expiration date to 2021-12-31

    Abandoned and unfetchable upstream, users are recommended to
    use ffmpeg instead

    PR:             258643
    Approved by:    uqs (port maintainer), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32219

 audio/mp32ogg/Makefile | 3 +++
 1 file changed, 3 insertions(+)